curl --request POST \
--url https://api.everhour.com/clients/{client_id}/invoices \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"limitDateFrom": "2019-03-11",
"limitDateTill": "2019-03-13",
"includeExpenses": true,
"includeTime": true,
"projects": [
"gh:63301595"
],
"tax": {
"id": 123,
"rate": 11
},
"discount": 25
}
'import requests
url = "https://api.everhour.com/clients/{client_id}/invoices"
payload = {
"limitDateFrom": "2019-03-11",
"limitDateTill": "2019-03-13",
"includeExpenses": True,
"includeTime": True,
"projects": ["gh:63301595"],
"tax": {
"id": 123,
"rate": 11
},
"discount": 25
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limitDateFrom: '2019-03-11',
limitDateTill: '2019-03-13',
includeExpenses: true,
includeTime: true,
projects: ['gh:63301595'],
tax: {id: 123, rate: 11},
discount: 25
})
};
fetch('https://api.everhour.com/clients/{client_id}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 2660155,
"client": {
"id": 4567,
"name": "Client Name",
"projects": [
"ev:1234567890"
],
"businessDetails": "<string>",
"budget": {
"type": "money",
"budget": 100000,
"period": "general",
"appliedFrom": "<string>",
"disallowOverbudget": true,
"excludeUnbillableTime": true,
"excludeExpenses": true,
"threshold": 123,
"progress": 0
}
},
"createdAt": "2018-01-16 12:42:59",
"createdBy": {
"id": 1304,
"name": "User Name",
"role": "admin",
"status": "active",
"headline": "CEO",
"avatarUrl": "<string>",
"phone": "<string>",
"capacity": 123,
"avatarUrlLarge": "<string>"
},
"status": "draft",
"dateFrom": "<string>",
"dateTill": "<string>",
"dueDate": "<string>",
"discount": {
"amount": 4581,
"rate": 25
},
"expenseMask": "%PROJECT% :: %CATEGORY%",
"includeExpenses": true,
"includeTime": true,
"invoiceItems": [
{
"billedTime": 415860,
"createdAt": "2017-02-22 16:11:33",
"custom": false,
"id": 52,
"listAmount": 288793,
"name": "Software Development",
"netAmount": 288793,
"position": 1,
"taxable": 1,
"totalAmount": 288793
}
],
"issueDate": "2019-03-22",
"limitDateFrom": "<string>",
"limitDateTill": "<string>",
"listAmount": 18325,
"netAmount": 13744,
"projects": [
"gh:63301595"
],
"publicId": "1020",
"tax": {
"id": 123,
"rate": 11,
"amount": 1512
},
"timeMask": "%PROJECT%",
"totalAmount": 15256,
"totalTime": 43980,
"valid": true
}Create Invoice
Create an invoice for a client. The invoice is generated from the client’s tracked time over the requested date range — see Dates.
Authorizations
Path Parameters
Client ID
107
Body
"2019-03-11"
"2019-03-13"
true
true
["gh:63301595"]
Tax to apply. Set rate (percentage), or id to reference a tax from a connected accounting integration.
Show child attributes
Show child attributes
Discount rate as a percentage (0-100)
25
Response
Created
Invoice ID
2660155
Show child attributes
Show child attributes
"2018-01-16 12:42:59"
Show child attributes
Show child attributes
draft, sent, paid, deleted, partial "draft"
Show child attributes
Show child attributes
"%PROJECT% :: %CATEGORY%"
true
true
Show child attributes
Show child attributes
"2019-03-22"
List amount in cents (without discount and taxes)
18325
Net amount in cents (without taxes but with discount applied)
13744
["gh:63301595"]
"1020"
Show child attributes
Show child attributes
"%PROJECT%"
Total invoice amount in cents (with discount and taxes applied)
15256
Total invoice time in seconds
43980
true
